> ## Documentation Index
> Fetch the complete documentation index at: https://chargecloud.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves meters

> Retrieves meters. Required permission: assets:meter:list



## OpenAPI

````yaml /api/core-api/crmiapi.json get /api/v1/assets/meters
openapi: 3.1.1
info:
  title: chargecloud - Core API
  summary: chargecloud Core API. All around CRM, Asset Management and more.
  version: 1.113.1
  description: chargecloud Core API. All around CRM, Asset Management and more.
servers:
  - url: https://api.chargecloud.dev
    description: Production - chargecloud Core API
  - url: https://demo.chargecloud.de
    description: Sandbox/Dev - chargecloud Core API
security: []
paths:
  /api/v1/assets/meters:
    get:
      tags:
        - Meters
      summary: Retrieves meters
      description: 'Retrieves meters. Required permission: assets:meter:list'
      operationId: /api/v1/assets/meters_GET
      parameters:
        - name: location_id
          in: query
          description: ID of the location
          schema:
            type: integer
            format: int32
            description: ID of the location
        - name: station_id
          in: query
          description: ID of the station
          schema:
            type: integer
            format: int32
            description: ID of the station
        - name: chargepoint_id
          in: query
          description: ID of the chargepoint
          schema:
            type: integer
            format: int32
            description: ID of the chargepoint
        - name: limit
          in: query
          description: Maximum number of items per page. Maximum value is 25.
          schema:
            type: integer
            format: int64
            minimum: 1
            maximum: 25
            description: Maximum number of items per page. Maximum value is 25.
            example: '10'
        - name: page
          in: query
          description: Page number to retrieve (starting from 1).
          schema:
            type: integer
            format: int64
            minimum: 1
            description: Page number to retrieve (starting from 1).
            example: '1'
      responses:
        '200':
          description: Meter collection
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - meters
                properties:
                  meters:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          format: int32
                          description: Meter id
                        created_at:
                          type: string
                          format: date
                          pattern: ^\d{4}-\d{2}-\d{2}$
                          description: Date of creation
                        updated_at:
                          type: string
                          format: date
                          pattern: ^\d{4}-\d{2}-\d{2}$
                          description: Date of last update
                        modification_date:
                          type: string
                          format: date
                          pattern: ^\d{4}-\d{2}-\d{2}$
                          description: Date of modification
                        location_id:
                          type: integer
                          format: int32
                          description: Location id
                        station_id:
                          type: integer
                          format: int32
                          description: Station id
                        installation_date:
                          type: string
                          format: date
                          pattern: ^\d{4}-\d{2}-\d{2}$
                          description: Installation date
                        market_partner:
                          type: string
                          maxLength: 100
                          description: Market partner
                        chargepoint_id:
                          type: integer
                          format: int32
                          description: ChargePoint id
                        meter_type:
                          type: string
                          description: Meter type
                        meter_serial_number:
                          type: string
                          maxLength: 70
                          description: Meter serial number
                        meter_point:
                          type: string
                          maxLength: 50
                          description: Meter point
                        comment:
                          type: string
                          maxLength: 255
                          description: Comment
                        active:
                          type: boolean
                          default: false
                          description: Active
                        internal_counter:
                          type: boolean
                          default: false
                          description: Internal Counter
                        credit_counter:
                          type: boolean
                          default: false
                          description: Credit Counter
                        sum_counter:
                          type: boolean
                          default: false
                          description: Sum Counter
                        is_public:
                          type: boolean
                          default: false
                          description: If Public
                        public_key:
                          type: string
                          maxLength: 255
                          description: Public key
                        serial_number:
                          type: string
                          maxLength: 16
                          description: Serial number
                        article_number:
                          type: string
                          maxLength: 16
                          description: Article number
                        manufacturer:
                          type: string
                          maxLength: 32
                          description: Manufacturer
                      required:
                        - id
                        - created_at
                        - updated_at
                        - modification_date
                        - chargepoint_id
                        - public_key
                      description: Meter
                    description: Meters
                  pagination:
                    type: object
                    properties:
                      page:
                        type: integer
                        format: int64
                        description: Current page number (starting from 1).
                        example: '1'
                      total_pages:
                        type: integer
                        format: int64
                        description: Total number of available pages.
                        example: '5'
                      page_size:
                        type: integer
                        format: int64
                        description: Number of items returned per page.
                        example: '10'
                      has_more:
                        type: boolean
                        default: true
                        description: >-
                          Indicates whether more pages are available after the
                          current page.
                        example: 'true'
                    description: Pagination
        '401':
          description: Unauthorized
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '404':
          description: Not found
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
                  pagination:
                    type: object
                    properties:
                      page:
                        type: integer
                        format: int64
                        description: Current page number (starting from 1).
                        example: '1'
                      total_pages:
                        type: integer
                        format: int64
                        description: Total number of available pages.
                        example: '5'
                      page_size:
                        type: integer
                        format: int64
                        description: Number of items returned per page.
                        example: '10'
                      has_more:
                        type: boolean
                        default: true
                        description: >-
                          Indicates whether more pages are available after the
                          current page.
                        example: 'true'
                    description: Pagination
        '405':
          description: Method not allowed
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '422':
          description: Request validation failed
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - errors
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        errorKey:
                          type: string
                          description: A key identifying the error
                        message:
                          type: string
                          description: The error message
                        parameter:
                          type: string
                          description: The parameter that caused the error, if any
                      required:
                        - errorKey
                        - message
                        - parameter
                      description: Error
                    description: List of errors
        '429':
          description: Too many requests
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
      security:
        - bearer:
            - asset:meter
components:
  headers:
    Content-Language:
      description: The locale of the response content (BCP 47 language tag).
      schema:
        type: string
        example: en
  securitySchemes:
    bearer:
      type: http
      description: OAuth2 Bearer Authorization
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Retrieves details for a meter](/api-reference/meters/retrieves-details-for-a-meter.md)
- [Creates a meter](/api-reference/meters/creates-a-meter.md)
- [Updates a meter](/api-reference/meters/updates-a-meter.md)
